Subject: Re: [nfsv4] New Version Notification for draft-ietf-nfsv4-umask-03.txt

From: spencer shepler <[email-masked]>
Date: Fri, 3 Mar 2017 12:38:39 -0800

Thanks for the update, Bruce.

I will prepare the final shepherding documentation and move this and the
other I-Ds forward.

Spencer

On Fri, Mar 3, 2017 at 8:30 AM, <[email-masked]> wrote:

>
> A new version of I-D, draft-ietf-nfsv4-umask-03.txt
> has been successfully submitted by J. Bruce Fields and posted to the
> IETF repository.
>
> Name:           draft-ietf-nfsv4-umask
> Revision:       03
> Title:          Allowing Inheritable NFSv4 ACLs to Override the Umask
> Document date:  2017-03-03
> Group:          nfsv4
> Pages:          6
> URL:            https://www.ietf.org/internet-
> drafts/draft-ietf-nfsv4-umask-03.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-nfsv4-umask/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-nfsv4-umask-03
> Diff:           https://www.ietf.org/rfcdiff?
> url2=draft-ietf-nfsv4-umask-03
>
> Abstract:
>    In many important environments, inheritable NFSv4 ACLs can be
>    rendered ineffective by the application of the per-process umask.
>    This can be addressed by transmitting the umask and create mode as
>    separate pieces of data, allowing the server to make more intelligent
>    decisions about the permissions to set on new files.  This document
>    proposes a protocol extension which accomplishes that.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>

---

From: David Noveck <[email-masked]>
Date: Thu, 16 Mar 2017 12:04:38 -0400

Can this be done promptly?  You have had about two weeks to deal with umask
while the other documents have been languishing for a lot longer as you
tried to gather your three-document flock.

The versioning document has been been waiting for a writeup for almost
three months now.  Is it possible to get this out by 3/19/2017 to keep this
gap at three months or under?

It is no longer unusual for it to take a year to get  from working group
consensus to publication.  BTW, scsi-layout has taken about 15 months and I
don't want to challenge Christoph for the record for the longest delay,
even though it doesn't seem to me that that that delay is in any way his
fault..

On Fri, Mar 3, 2017 at 3:38 PM, spencer shepler <[email-masked]>
wrote:

> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4
>
>